resource NDeclGer = { 
  param 
    Number = Sg | Pl ;
    Case   = Nom | Gen | Dat | Acc ;
    Gender = Masc | Fem | Neut ;

  oper            -- Hilfsdefinitionen (nicht rekursiv)
    N : Type = {s : Number => Case => Str; g : Gender} ;
    regN : Str -> Str -> Gender -> N  = 
      \x,y,z ->       -- lambda-Abstraktion -> Ergebnis
      { s = table{
             Sg => table{ Gen => x+("s"|"es"); _ => x } ;
             Pl => table{ Dat => y+("n"|"en"); _ => y } } ;
        g = z } ;
}
