resource lautverschiebung2 = {

  oper 
  -- Deklarationen
  lautgesetz2 : Str -> Str ;

    tenues : pattern Str ;
    sonates : pattern Str ;
    vowel : pattern Str ;

  -- Implementierungen:

    tenues = #("p" | "t" | "k") ;
    sonates = #( "m" | "n" | "l" | "r" ) ;
    vowel = #("a" | "e" | "i" | "o" | "u" ) ;

    lautgesetz2 str = case str of {
       x + dp@#doppelplosive + y => x + (laut2 dp) + y ;
       p@#plosive + y => (laut2 p) + y ;
       x@(? + anfang + #sonates) + p@#plosive + y => x + (laut2 p) + y ;
       _ => str } ;  

    -- t -> z , k -> x

    laut2 : Str -> Str = \str -> case str of { "p" => "pf" ;
                                               "t" => "z" ;
                                               "k" => "x" ;
                                               "pp" => "pf" ;
                                               "tt" => "z" ;
                                               "ck" => "x" ;
                                                _  => str } ;

    plosive : pattern Str = #("p" | "t" | "k") ;
    doppelplosive : pattern Str = #("pp" | "tt" | "ck") ;
    
} 
